QGIS Application - Bug report #16670
Server - GetFeaturelnfo not evaluated for maptip context when using FILTER param
2017-06-06 05:36 PM - Michael Douchin

Status: Closed

Priority: High

Assignee: René-Luc RelLuc

Category: QGIS Server

Affected QGIS version:2.18.9 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24569
Description

When the user defines a tooltip for a vector layer, and a feature of this layer is requested via WMS request GetFeaturelnfo, the
expressions are not evaluated if the request uses the FILTER parameter.

History

#1 - 2017-07-25 08:13 PM - Giovanni Manghi
- Priority changed from Normal to High

If you tagged this as regression | guess this worked as expected in a previous qgis release.

#2 - 2017-07-26 03:08 PM - René-Luc ReLuc
- Easy fix? changed from No to Yes
- Regression? changed from Yes to No

#3 - 2017-07-26 03:24 PM - René-Luc RelLuc
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Done :
- 2_14 b51d4efa83c0e849d829fe79fb4da12e6700d419
- 2_18 8cce84ed229cdadc235f6710576daa34b4c3129a
- master a3af69a44d7ee7e37c652302727a842aed42a9d7

2025-04-27

1/1




